chiark / gitweb /
lib/dpkg/tarfn.c: Kludge `tar_header_decode' to handle spurious `errno'.
[dpkg] / scripts / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Variables to be defined:
18 #
19 #  TEST_VERBOSE - set to 0 (default) or 1 to control test suite verbosity
20 #  TEST_PARALLEL - set to 1 (default) or N to control the parallel jobs
21 #  TEST_ENV_VARS - environment variables to be set for the test suite
22 #  TEST_COVERAGE - set to the perl module in charge of getting test coverage
23 #  test_tmpdir - test suite temporary directory
24 #  test_scripts - list of test case scripts
25 #  test_programs - list of test case programs
26 #  test_data - list of test data files
27
28
29 VPATH = @srcdir@
30 am__is_gnu_make = { \
31   if test -z '$(MAKELEVEL)'; then \
32     false; \
33   elif test -n '$(MAKE_HOST)'; then \
34     true; \
35   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
36     true; \
37   else \
38     false; \
39   fi; \
40 }
41 am__make_running_with_option = \
42   case $${target_option-} in \
43       ?) ;; \
44       *) echo "am__make_running_with_option: internal error: invalid" \
45               "target option '$${target_option-}' specified" >&2; \
46          exit 1;; \
47   esac; \
48   has_opt=no; \
49   sane_makeflags=$$MAKEFLAGS; \
50   if $(am__is_gnu_make); then \
51     sane_makeflags=$$MFLAGS; \
52   else \
53     case $$MAKEFLAGS in \
54       *\\[\ \   ]*) \
55         bs=\\; \
56         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
57           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
58     esac; \
59   fi; \
60   skip_next=no; \
61   strip_trailopt () \
62   { \
63     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
64   }; \
65   for flg in $$sane_makeflags; do \
66     test $$skip_next = yes && { skip_next=no; continue; }; \
67     case $$flg in \
68       *=*|--*) continue;; \
69         -*I) strip_trailopt 'I'; skip_next=yes;; \
70       -*I?*) strip_trailopt 'I';; \
71         -*O) strip_trailopt 'O'; skip_next=yes;; \
72       -*O?*) strip_trailopt 'O';; \
73         -*l) strip_trailopt 'l'; skip_next=yes;; \
74       -*l?*) strip_trailopt 'l';; \
75       -[dEDm]) skip_next=yes;; \
76       -[JT]) skip_next=yes;; \
77     esac; \
78     case $$flg in \
79       *$$target_option*) has_opt=yes; break;; \
80     esac; \
81   done; \
82   test $$has_opt = yes
83 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
84 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
85 pkgdatadir = $(datadir)/@PACKAGE@
86 pkgincludedir = $(includedir)/@PACKAGE@
87 pkglibdir = $(libdir)/@PACKAGE@
88 pkglibexecdir = $(libexecdir)/@PACKAGE@
89 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
90 install_sh_DATA = $(install_sh) -c -m 644
91 install_sh_PROGRAM = $(install_sh) -c
92 install_sh_SCRIPT = $(install_sh) -c
93 INSTALL_HEADER = $(INSTALL_DATA)
94 transform = $(program_transform_name)
95 NORMAL_INSTALL = :
96 PRE_INSTALL = :
97 POST_INSTALL = :
98 NORMAL_UNINSTALL = :
99 PRE_UNINSTALL = :
100 POST_UNINSTALL = :
101 build_triplet = @build@
102 host_triplet = @host@
103 subdir = scripts
104 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
105 am__aclocal_m4_deps = $(top_srcdir)/m4/dpkg-arch.m4 \
106         $(top_srcdir)/m4/dpkg-build.m4 \
107         $(top_srcdir)/m4/dpkg-compiler.m4 \
108         $(top_srcdir)/m4/dpkg-coverage.m4 \
109         $(top_srcdir)/m4/dpkg-funcs.m4 $(top_srcdir)/m4/dpkg-libs.m4 \
110         $(top_srcdir)/m4/dpkg-linker.m4 $(top_srcdir)/m4/dpkg-progs.m4 \
111         $(top_srcdir)/m4/dpkg-types.m4 \
112         $(top_srcdir)/m4/dpkg-unicode.m4 $(top_srcdir)/m4/gettext.m4 \
113         $(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
114         $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
115         $(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
116         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
117         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
118         $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
119         $(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
120 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
121         $(ACLOCAL_M4)
122 DIST_COMMON = $(srcdir)/Makefile.am $(nobase_dist_perllib_DATA) \
123         $(am__DIST_COMMON)
124 mkinstalldirs = $(install_sh) -d
125 CONFIG_HEADER = $(top_builddir)/config.h
126 CONFIG_CLEAN_FILES =
127 CONFIG_CLEAN_VPATH_FILES =
128 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
129 am__vpath_adj = case $$p in \
130     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
131     *) f=$$p;; \
132   esac;
133 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
134 am__install_max = 40
135 am__nobase_strip_setup = \
136   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
137 am__nobase_strip = \
138   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
139 am__nobase_list = $(am__nobase_strip_setup); \
140   for p in $$list; do echo "$$p $$p"; done | \
141   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
142   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
143     if (++n[$$2] == $(am__install_max)) \
144       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
145     END { for (dir in files) print dir, files[dir] }'
146 am__base_list = \
147   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
148   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
149 am__uninstall_files_from_dir = { \
150   test -z "$$files" \
151     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
152     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
153          $(am__cd) "$$dir" && rm -f $$files; }; \
154   }
155 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man3dir)" \
156         "$(DESTDIR)$(perllibdir)"
157 SCRIPTS = $(bin_SCRIPTS)
158 AM_V_P = $(am__v_P_@AM_V@)
159 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
160 am__v_P_0 = false
161 am__v_P_1 = :
162 AM_V_GEN = $(am__v_GEN_@AM_V@)
163 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
164 am__v_GEN_0 = @echo "  GEN     " $@;
165 am__v_GEN_1 = 
166 AM_V_at = $(am__v_at_@AM_V@)
167 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
168 am__v_at_0 = @
169 am__v_at_1 = 
170 SOURCES =
171 DIST_SOURCES =
172 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
173         ctags-recursive dvi-recursive html-recursive info-recursive \
174         install-data-recursive install-dvi-recursive \
175         install-exec-recursive install-html-recursive \
176         install-info-recursive install-pdf-recursive \
177         install-ps-recursive install-recursive installcheck-recursive \
178         installdirs-recursive pdf-recursive ps-recursive \
179         tags-recursive uninstall-recursive
180 am__can_run_installinfo = \
181   case $$AM_UPDATE_INFO_DIR in \
182     n|no|NO) false;; \
183     *) (install-info --version) >/dev/null 2>&1;; \
184   esac
185 man3dir = $(mandir)/man3
186 NROFF = nroff
187 MANS = $(man3_MANS)
188 DATA = $(nobase_dist_perllib_DATA)
189 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
190   distclean-recursive maintainer-clean-recursive
191 am__recursive_targets = \
192   $(RECURSIVE_TARGETS) \
193   $(RECURSIVE_CLEAN_TARGETS) \
194   $(am__extra_recursive_targets)
195 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
196         distdir
197 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
198 # Read a list of newline-separated strings from the standard input,
199 # and print each of them once, without duplicates.  Input order is
200 # *not* preserved.
201 am__uniquify_input = $(AWK) '\
202   BEGIN { nonempty = 0; } \
203   { items[$$0] = 1; nonempty = 1; } \
204   END { if (nonempty) { for (i in items) print i; }; } \
205 '
206 # Make sure the list of sources is unique.  This is necessary because,
207 # e.g., the same source file might be shared among _SOURCES variables
208 # for different programs/libraries.
209 am__define_uniq_tagged_files = \
210   list='$(am__tagged_files)'; \
211   unique=`for i in $$list; do \
212     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
213   done | $(am__uniquify_input)`
214 ETAGS = etags
215 CTAGS = ctags
216 DIST_SUBDIRS = $(SUBDIRS)
217 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/check.am
218 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
219 am__relativize = \
220   dir0=`pwd`; \
221   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
222   sed_rest='s,^[^/]*/*,,'; \
223   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
224   sed_butlast='s,/*[^/]*$$,,'; \
225   while test -n "$$dir1"; do \
226     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
227     if test "$$first" != "."; then \
228       if test "$$first" = ".."; then \
229         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
230         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
231       else \
232         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
233         if test "$$first2" = "$$first"; then \
234           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
235         else \
236           dir2="../$$dir2"; \
237         fi; \
238         dir0="$$dir0"/"$$first"; \
239       fi; \
240     fi; \
241     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
242   done; \
243   reldir="$$dir2"
244 ACLOCAL = @ACLOCAL@
245 AMTAR = @AMTAR@
246 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
247 AR = @AR@
248 AUTOCONF = @AUTOCONF@
249 AUTOHEADER = @AUTOHEADER@
250 AUTOM4TE = @AUTOM4TE@
251 AUTOMAKE = @AUTOMAKE@
252 AWK = @AWK@
253 BUILD_DEVEL_DOCS = @BUILD_DEVEL_DOCS@
254 BZ2_LIBS = @BZ2_LIBS@
255 CC = @CC@
256 CCDEPMODE = @CCDEPMODE@
257 CFLAGS = @CFLAGS@
258 CPP = @CPP@
259 CPPFLAGS = @CPPFLAGS@
260 CURSES_LIBS = @CURSES_LIBS@
261 CXX = @CXX@
262 CXXCPP = @CXXCPP@
263 CXXDEPMODE = @CXXDEPMODE@
264 CXXFLAGS = @CXXFLAGS@
265 CYGPATH_W = @CYGPATH_W@
266 DEFS = @DEFS@
267 DEPDIR = @DEPDIR@
268 DLLTOOL = @DLLTOOL@
269 DOXYGEN = @DOXYGEN@
270 DSYMUTIL = @DSYMUTIL@
271 DUMPBIN = @DUMPBIN@
272 ECHO_C = @ECHO_C@
273 ECHO_N = @ECHO_N@
274 ECHO_T = @ECHO_T@
275 EGREP = @EGREP@
276 EXEEXT = @EXEEXT@
277 FGREP = @FGREP@
278 GCOV = @GCOV@
279 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
280 GMSGFMT = @GMSGFMT@
281 GMSGFMT_015 = @GMSGFMT_015@
282 GREP = @GREP@
283 HAVE_DOT = @HAVE_DOT@
284 INSTALL = @INSTALL@
285 INSTALL_DATA = @INSTALL_DATA@
286 INSTALL_PROGRAM = @INSTALL_PROGRAM@
287 INSTALL_SCRIPT = @INSTALL_SCRIPT@
288 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
289 INTLLIBS = @INTLLIBS@
290 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
291 KVM_LIBS = @KVM_LIBS@
292 LCOV = @LCOV@
293 LCOV_GENHTML = @LCOV_GENHTML@
294 LD = @LD@
295 LDFLAGS = @LDFLAGS@
296 LIBICONV = @LIBICONV@
297 LIBINTL = @LIBINTL@
298 LIBOBJS = @LIBOBJS@
299 LIBS = @LIBS@
300 LIBTOOL = @LIBTOOL@
301 LIPO = @LIPO@
302 LN_S = @LN_S@
303 LTLIBICONV = @LTLIBICONV@
304 LTLIBINTL = @LTLIBINTL@
305 LTLIBOBJS = @LTLIBOBJS@
306 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
307 LZMA_LIBS = @LZMA_LIBS@
308 MAKEINFO = @MAKEINFO@
309 MANIFEST_TOOL = @MANIFEST_TOOL@
310 MD_LIBS = @MD_LIBS@
311 MKDIR_P = @MKDIR_P@
312 MSGFMT = @MSGFMT@
313 MSGFMT_015 = @MSGFMT_015@
314 MSGMERGE = @MSGMERGE@
315 NM = @NM@
316 NMEDIT = @NMEDIT@
317 OBJDUMP = objdump -w -f -p -T -R
318 OBJEXT = @OBJEXT@
319 OTOOL = @OTOOL@
320 OTOOL64 = @OTOOL64@
321 PACKAGE = @PACKAGE@
322 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
323 PACKAGE_COPYRIGHT_HOLDER = @PACKAGE_COPYRIGHT_HOLDER@
324 PACKAGE_NAME = @PACKAGE_NAME@
325 PACKAGE_RELEASE_DATE = @PACKAGE_RELEASE_DATE@
326 PACKAGE_STRING = @PACKAGE_STRING@
327 PACKAGE_TARNAME = @PACKAGE_TARNAME@
328 PACKAGE_URL = @PACKAGE_URL@
329 PACKAGE_VERSION = @PACKAGE_VERSION@
330 PATCH = @PATCH@
331 PATH_SEPARATOR = @PATH_SEPARATOR@
332 PERL = @PERL@
333 PERL_COVER = @PERL_COVER@
334 PERL_COVERAGE = @PERL_COVERAGE@
335 PERL_LIBDIR = @PERL_LIBDIR@
336 PKG_CONFIG = @PKG_CONFIG@
337 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
338 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
339 PO4A = @PO4A@
340 POD2MAN = @POD2MAN@
341 POSUB = @POSUB@
342 PS_LIBS = @PS_LIBS@
343 RANLIB = @RANLIB@
344 SED = @SED@
345 SELINUX_CFLAGS = @SELINUX_CFLAGS@
346 SELINUX_LIBS = @SELINUX_LIBS@
347 SET_MAKE = @SET_MAKE@
348 SHELL = @SHELL@
349 STRIP = @STRIP@
350 TAR = @TAR@
351 USE_NLS = @USE_NLS@
352 USE_PO4A = @USE_PO4A@
353 USE_UNICODE = @USE_UNICODE@
354 VERSION = @VERSION@
355 XGETTEXT = @XGETTEXT@
356 XGETTEXT_015 = @XGETTEXT_015@
357 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
358 Z_LIBS = @Z_LIBS@
359 abs_builddir = @abs_builddir@
360 abs_srcdir = @abs_srcdir@
361 abs_top_builddir = @abs_top_builddir@
362 abs_top_srcdir = @abs_top_srcdir@
363 ac_ct_AR = @ac_ct_AR@
364 ac_ct_CC = @ac_ct_CC@
365 ac_ct_CXX = @ac_ct_CXX@
366 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
367 admindir = @admindir@
368 am__include = @am__include@
369 am__leading_dot = @am__leading_dot@
370 am__quote = @am__quote@
371 am__tar = @am__tar@
372 am__untar = @am__untar@
373 bindir = @bindir@
374 build = @build@
375 build_alias = @build_alias@
376 build_cpu = @build_cpu@
377 build_os = @build_os@
378 build_vendor = @build_vendor@
379 builddir = @builddir@
380 datadir = @datadir@
381 datarootdir = @datarootdir@
382 devlibdir = @devlibdir@
383 docdir = @docdir@
384 dvidir = @dvidir@
385 exec_prefix = @exec_prefix@
386 host = @host@
387 host_alias = @host_alias@
388 host_cpu = @host_cpu@
389 host_os = @host_os@
390 host_vendor = @host_vendor@
391 htmldir = @htmldir@
392 includedir = @includedir@
393 infodir = @infodir@
394 install_sh = @install_sh@
395 libdir = @libdir@
396 libexecdir = @libexecdir@
397 localedir = @localedir@
398 localstatedir = @localstatedir@
399 logdir = @logdir@
400 mandir = @mandir@
401 mkdir_p = @mkdir_p@
402 oldincludedir = @oldincludedir@
403 pdfdir = @pdfdir@
404 pkgconfdir = @pkgconfdir@
405 prefix = @prefix@
406 program_transform_name = @program_transform_name@
407 psdir = @psdir@
408 runstatedir = @runstatedir@
409 sbindir = @sbindir@
410 sharedstatedir = @sharedstatedir@
411 srcdir = @srcdir@
412 sysconfdir = @sysconfdir@
413 target_alias = @target_alias@
414 top_build_prefix = @top_build_prefix@
415 top_builddir = @top_builddir@
416 top_srcdir = @top_srcdir@
417 SUBDIRS = mk po
418 bin_SCRIPTS = \
419         dpkg-architecture \
420         dpkg-buildflags \
421         dpkg-buildpackage \
422         dpkg-checkbuilddeps \
423         dpkg-distaddfile \
424         dpkg-genbuildinfo \
425         dpkg-genchanges \
426         dpkg-gencontrol \
427         dpkg-gensymbols \
428         dpkg-maintscript-helper \
429         dpkg-mergechangelogs \
430         dpkg-name \
431         dpkg-parsechangelog \
432         dpkg-scanpackages \
433         dpkg-scansources \
434         dpkg-shlibdeps \
435         dpkg-source \
436         dpkg-vendor
437
438 EXTRA_DIST = dpkg-architecture.pl dpkg-buildflags.pl \
439         dpkg-buildpackage.pl dpkg-checkbuilddeps.pl \
440         dpkg-distaddfile.pl dpkg-genbuildinfo.pl dpkg-genchanges.pl \
441         dpkg-gencontrol.pl dpkg-gensymbols.pl \
442         dpkg-maintscript-helper.sh dpkg-mergechangelogs.pl \
443         dpkg-name.pl dpkg-parsechangelog.pl dpkg-scanpackages.pl \
444         dpkg-scansources.pl dpkg-shlibdeps.pl dpkg-source.pl \
445         dpkg-vendor.pl $(test_scripts) $(test_data) Test/Dpkg.pm \
446         $(nil)
447 CLEANFILES = \
448         $(test_data_objects) \
449         $(bin_SCRIPTS)
450
451 perllibdir = $(PERL_LIBDIR)
452 nobase_dist_perllib_DATA = \
453         Dpkg/Arch.pm \
454         Dpkg/BuildFlags.pm \
455         Dpkg/BuildOptions.pm \
456         Dpkg/BuildProfiles.pm \
457         Dpkg/Build/Env.pm \
458         Dpkg/Build/Info.pm \
459         Dpkg/Build/Types.pm \
460         Dpkg/Changelog.pm \
461         Dpkg/Changelog/Debian.pm \
462         Dpkg/Changelog/Entry.pm \
463         Dpkg/Changelog/Entry/Debian.pm \
464         Dpkg/Changelog/Parse.pm \
465         Dpkg/Checksums.pm \
466         Dpkg/Compression.pm \
467         Dpkg/Compression/FileHandle.pm \
468         Dpkg/Compression/Process.pm \
469         Dpkg/Conf.pm \
470         Dpkg/Control.pm \
471         Dpkg/Control/Changelog.pm \
472         Dpkg/Control/FieldsCore.pm \
473         Dpkg/Control/Fields.pm \
474         Dpkg/Control/Info.pm \
475         Dpkg/Control/HashCore.pm \
476         Dpkg/Control/Hash.pm \
477         Dpkg/Control/Tests.pm \
478         Dpkg/Control/Tests/Entry.pm \
479         Dpkg/Control/Types.pm \
480         Dpkg/Deps.pm \
481         Dpkg/Dist/Files.pm \
482         Dpkg/ErrorHandling.pm \
483         Dpkg/Exit.pm \
484         Dpkg/File.pm \
485         Dpkg/Getopt.pm \
486         Dpkg/Gettext.pm \
487         Dpkg/Index.pm \
488         Dpkg/Interface/Storable.pm \
489         Dpkg/IPC.pm \
490         Dpkg/Package.pm \
491         Dpkg/Path.pm \
492         Dpkg/Shlibs.pm \
493         Dpkg/Shlibs/Objdump.pm \
494         Dpkg/Shlibs/Symbol.pm \
495         Dpkg/Shlibs/SymbolFile.pm \
496         Dpkg/Shlibs/Cppfilt.pm \
497         Dpkg/Source/Archive.pm \
498         Dpkg/Source/Functions.pm \
499         Dpkg/Source/Package.pm \
500         Dpkg/Source/Package/V1.pm \
501         Dpkg/Source/Package/V2.pm \
502         Dpkg/Source/Package/V3/Bzr.pm \
503         Dpkg/Source/Package/V3/Custom.pm \
504         Dpkg/Source/Package/V3/Native.pm \
505         Dpkg/Source/Package/V3/Git.pm \
506         Dpkg/Source/Package/V3/Quilt.pm \
507         Dpkg/Source/Patch.pm \
508         Dpkg/Source/Quilt.pm \
509         Dpkg/Substvars.pm \
510         Dpkg/Util.pm \
511         Dpkg/Vars.pm \
512         Dpkg/Vendor.pm \
513         Dpkg/Vendor/Debian.pm \
514         Dpkg/Vendor/Default.pm \
515         Dpkg/Vendor/Ubuntu.pm \
516         Dpkg/Version.pm \
517         Dpkg.pm
518
519
520 # Keep it even if empty to have man3dir correctly set
521 man3_MANS = 
522 do_perl_subst = $(AM_V_GEN) sed \
523         -e "s:^\#![[:space:]]*/usr/bin/perl:\#!$(PERL):" \
524         -e "s:our \$$CONFDIR = .*;:our \$$CONFDIR = '$(pkgconfdir)';:" \
525         -e "s:our \$$ADMINDIR = .*;:our \$$ADMINDIR = '$(admindir)';:" \
526         -e "s:our \$$LIBDIR = .*;:our \$$LIBDIR = '$(pkglibexecdir)';:" \
527         -e "s:our \$$DATADIR = .*;:our \$$DATADIR = '$(pkgdatadir)';:" \
528         -e "s:our \$$PROGMAKE = .*;:our \$$PROGMAKE = '$(MAKE)';:" \
529         -e "s:our \$$PROGTAR = .*;:our \$$PROGTAR = '$(TAR)';:" \
530         -e "s:our \$$PROGPATCH = .*;:our \$$PROGPATCH = '$(PATCH)';:" \
531         -e "s:our \$$PROGVERSION = .*;:our \$$PROGVERSION = '$(PACKAGE_VERSION)';:"
532
533 do_shell_subst = $(AM_V_GEN) sed \
534         -e "s:^version[[:space:]]*=[[:space:]]*['\"][^'\"]*[\"']:version=\"$(PACKAGE_VERSION)\":"
535
536 SUFFIXES = .pl .sh
537 TEST_ENV_VARS = \
538         DPKG_PROGTAR=$(TAR) \
539         DPKG_PROGPATCH=$(PATCH) \
540         DPKG_PROGMAKE=$(MAKE) \
541         DPKG_DATADIR=$(top_srcdir)/data \
542         DPKG_ORIGINS_DIR=$(srcdir)/t/origins
543
544 TEST_COVERAGE = $(PERL_COVERAGE)
545 test_tmpdir = t.tmp
546 test_scripts = \
547         t/Dpkg_Version.t \
548         t/Dpkg_Arch.t \
549         t/Dpkg_Package.t \
550         t/Dpkg_Shlibs_Cppfilt.t \
551         t/Dpkg_Shlibs.t \
552         t/Dpkg_BuildFlags.t \
553         t/Dpkg_BuildOptions.t \
554         t/Dpkg_BuildProfiles.t \
555         t/Dpkg_Build_Env.t \
556         t/Dpkg_Build_Info.t \
557         t/Dpkg_Build_Types.t \
558         t/Dpkg_Checksums.t \
559         t/Dpkg_ErrorHandling.t \
560         t/Dpkg_Exit.t \
561         t/Dpkg_File.t \
562         t/Dpkg_Getopt.t \
563         t/Dpkg_Gettext.t \
564         t/Dpkg_Conf.t \
565         t/Dpkg_Deps.t \
566         t/Dpkg_Path.t \
567         t/Dpkg_Util.t \
568         t/Dpkg_Vars.t \
569         t/Dpkg_Interface_Storable.t \
570         t/Dpkg_Vendor.t \
571         t/Dpkg_Changelog.t \
572         t/Dpkg_Changelog_Ubuntu.t \
573         t/Dpkg_Control.t \
574         t/Dpkg_Control_Tests.t \
575         t/Dpkg_Index.t \
576         t/Dpkg_Substvars.t \
577         t/Dpkg_IPC.t \
578         t/Dpkg_Compression.t \
579         t/Dpkg_Source_Functions.t \
580         t/Dpkg_Source_Patch.t \
581         t/Dpkg_Source_Quilt.t \
582         t/Dpkg_Source_Archive.t \
583         t/Dpkg_Source_Package.t \
584         t/Dpkg_Dist_Files.t \
585         t/dpkg_source.t \
586         t/dpkg_buildpackage.t \
587         t/merge_changelogs.t \
588         t/mk.t \
589         $(nil)
590
591 test_data = \
592         t/Dpkg_Shlibs/symbols.blacklisted \
593         t/Dpkg_Shlibs/symbols.blacklist-groups \
594         t/Dpkg_Shlibs/symbols.blacklist-filter \
595         t/Dpkg_Shlibs/symbols.blacklist-ignore \
596         t/Dpkg_Shlibs/symbols.fake-1 \
597         t/Dpkg_Shlibs/symbols.fake-2 \
598         t/Dpkg_Shlibs/symbols.fake-3 \
599         t/Dpkg_Shlibs/symbols.include-1 \
600         t/Dpkg_Shlibs/symbols.include-2 \
601         t/Dpkg_Shlibs/symbols.include-3 \
602         t/Dpkg_Shlibs/basictags.symbols \
603         t/Dpkg_Shlibs/basictags.c \
604         t/Dpkg_Shlibs/patterns.symbols \
605         t/Dpkg_Shlibs/patterns.cpp \
606         t/Dpkg_Shlibs/patterns.map \
607         t/Dpkg_Shlibs/ld.so.conf \
608         t/Dpkg_Shlibs/ld.so.conf_2 \
609         t/Dpkg_Shlibs/ld.so.conf.d/normal.conf \
610         t/Dpkg_Shlibs/ld.so.conf.d/inf_recurse.conf \
611         t/Dpkg_Shlibs/ld.so.conf.d/recursive.conf \
612         t/Dpkg_Shlibs/objdump.space \
613         t/Dpkg_Shlibs/objdump.spacesyms \
614         t/Dpkg_Shlibs/objdump.basictags-amd64 \
615         t/Dpkg_Shlibs/objdump.basictags-i386 \
616         t/Dpkg_Shlibs/objdump.basictags-mips \
617         t/Dpkg_Shlibs/objdump.blacklisted \
618         t/Dpkg_Shlibs/objdump.patterns \
619         t/Dpkg_Shlibs/objdump.glib-ia64 \
620         t/Dpkg_Shlibs/objdump.libc6-2.3 \
621         t/Dpkg_Shlibs/objdump.libc6-2.6 \
622         t/Dpkg_Shlibs/objdump.dbd-pg \
623         t/Dpkg_Shlibs/objdump.ls \
624         t/Dpkg_Shlibs/spacesyms.map \
625         t/Dpkg_Shlibs/spacesyms-c-gen.pl \
626         t/Dpkg_Shlibs/spacesyms-o-map.pl \
627         t/Dpkg_Source_Patch/c-style.patch \
628         t/Dpkg_Source_Patch/ghost-hunk.patch \
629         t/Dpkg_Source_Patch/indent-header.patch \
630         t/Dpkg_Source_Patch/index-+++.patch \
631         t/Dpkg_Source_Patch/index-alone.patch \
632         t/Dpkg_Source_Patch/index-inert.patch \
633         t/Dpkg_Source_Patch/partial.patch \
634         t/Dpkg_Changelog/countme \
635         t/Dpkg_Changelog/date-format \
636         t/Dpkg_Changelog/fields \
637         t/Dpkg_Changelog/misplaced-tz \
638         t/Dpkg_Changelog/regressions \
639         t/Dpkg_Changelog/shadow \
640         t/Dpkg_Changelog/unreleased \
641         t/Dpkg_Checksums/empty \
642         t/Dpkg_Checksums/data-1 \
643         t/Dpkg_Checksums/data-2 \
644         t/Dpkg_Conf/config-mixed \
645         t/Dpkg_Control/control-1 \
646         t/Dpkg_Control/bogus-unsigned.dsc \
647         t/Dpkg_Control/bogus-armor-double.dsc \
648         t/Dpkg_Control/bogus-armor-formfeed.dsc \
649         t/Dpkg_Control/bogus-armor-no-sig.dsc \
650         t/Dpkg_Control/bogus-armor-trail.dsc \
651         t/Dpkg_Control/bogus-armor-inline.dsc \
652         t/Dpkg_Control/bogus-armor-nested.dsc \
653         t/Dpkg_Control/bogus-armor-spaces.dsc \
654         t/Dpkg_Control_Tests/tests-missing-fields \
655         t/Dpkg_Control_Tests/tests-plain-text \
656         t/Dpkg_Control_Tests/tests-valid \
657         t/Dpkg_Source_Quilt/parse/debian/patches/series \
658         t/Dpkg_Substvars/substvars1 \
659         t/Dpkg_Substvars/substvars2 \
660         t/Dpkg_Dist_Files/files-byhand \
661         t/Dpkg_Dist_Files/files-fragment-a \
662         t/Dpkg_Dist_Files/files-fragment-b \
663         t/dpkg_buildpackage/test-source_0.dsc \
664         t/dpkg_buildpackage/test-source_0_all.changes \
665         t/dpkg_buildpackage/test-source_0_any.changes \
666         t/dpkg_buildpackage/test-source_0_binary.changes \
667         t/dpkg_buildpackage/test-source_0_full.changes \
668         t/dpkg_buildpackage/test-source_0_source.changes \
669         t/dpkg_source/testsuite_0.dsc \
670         t/dpkg_source/testsuite_1.dsc \
671         t/dpkg_source/testsuite_2.dsc \
672         t/dpkg_source/testsuite_3.dsc \
673         t/merge_changelogs/ch-old \
674         t/merge_changelogs/ch-a \
675         t/merge_changelogs/ch-b \
676         t/merge_changelogs/ch-badver-a \
677         t/merge_changelogs/ch-badver-b \
678         t/merge_changelogs/ch-badver-merged \
679         t/merge_changelogs/ch-badver-old \
680         t/merge_changelogs/ch-merged \
681         t/merge_changelogs/ch-merged-basic \
682         t/merge_changelogs/ch-merged-pr \
683         t/merge_changelogs/ch-merged-pr-basic \
684         t/mk/debian/changelog \
685         t/mk/architecture.mk \
686         t/mk/buildflags.mk \
687         t/mk/pkg-info.mk \
688         t/mk/vendor.mk \
689         t/origins/debian \
690         t/origins/default \
691         t/origins/gnewsense \
692         t/origins/ubuntu
693
694 test_data_objects = \
695         t/Dpkg_Shlibs/libobjdump.basictags-amd64.so \
696         t/Dpkg_Shlibs/libobjdump.basictags-i386.so \
697         t/Dpkg_Shlibs/libobjdump.basictags-mips.so \
698         t/Dpkg_Shlibs/libobjdump.patterns.so \
699         t/Dpkg_Shlibs/libobjdump.spacesyms.so \
700         $(nil)
701
702 TEST_RUNNER = '\
703         my $$harness = TAP::Harness->new({ \
704             exec => sub { my (undef, $$test) = @_; \
705                 return [ $$test ] if $$test !~ "\.t\$$" and -x $$test; \
706                 return }, \
707             lib => [ "$(top_srcdir)/scripts", "$(top_srcdir)/dselect/methods"  ], \
708             color => 1, \
709             verbosity => $(TEST_VERBOSE), \
710             jobs => $(TEST_PARALLEL), \
711             failures => 1, \
712         }); \
713         my $$aggregate = $$harness->runtests(@ARGV); \
714         die "FAIL: test suite has errors\n" if $$aggregate->has_errors;'
715
716 all: all-recursive
717
718 .SUFFIXES:
719 .SUFFIXES: .pl .sh
720 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/check.am $(am__configure_deps)
721         @for dep in $?; do \
722           case '$(am__configure_deps)' in \
723             *$$dep*) \
724               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
725                 && { if test -f $@; then exit 0; else break; fi; }; \
726               exit 1;; \
727           esac; \
728         done; \
729         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign scripts/Makefile'; \
730         $(am__cd) $(top_srcdir) && \
731           $(AUTOMAKE) --foreign scripts/Makefile
732 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
733         @case '$?' in \
734           *config.status*) \
735             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
736           *) \
737             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
738             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
739         esac;
740 $(top_srcdir)/check.am $(am__empty):
741
742 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
743         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
744
745 $(top_srcdir)/configure:  $(am__configure_deps)
746         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
747 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
748         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
749 $(am__aclocal_m4_deps):
750 install-binSCRIPTS: $(bin_SCRIPTS)
751         @$(NORMAL_INSTALL)
752         @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
753         if test -n "$$list"; then \
754           echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
755           $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
756         fi; \
757         for p in $$list; do \
758           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
759           if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
760         done | \
761         sed -e 'p;s,.*/,,;n' \
762             -e 'h;s|.*|.|' \
763             -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
764         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
765           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
766             if ($$2 == $$4) { files[d] = files[d] " " $$1; \
767               if (++n[d] == $(am__install_max)) { \
768                 print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
769             else { print "f", d "/" $$4, $$1 } } \
770           END { for (d in files) print "f", d, files[d] }' | \
771         while read type dir files; do \
772              if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
773              test -z "$$files" || { \
774                echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
775                $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
776              } \
777         ; done
778
779 uninstall-binSCRIPTS:
780         @$(NORMAL_UNINSTALL)
781         @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
782         files=`for p in $$list; do echo "$$p"; done | \
783                sed -e 's,.*/,,;$(transform)'`; \
784         dir='$(DESTDIR)$(bindir)'; $(am__uninstall_files_from_dir)
785
786 mostlyclean-libtool:
787         -rm -f *.lo
788
789 clean-libtool:
790         -rm -rf .libs _libs
791 install-man3: $(man3_MANS)
792         @$(NORMAL_INSTALL)
793         @list1='$(man3_MANS)'; \
794         list2=''; \
795         test -n "$(man3dir)" \
796           && test -n "`echo $$list1$$list2`" \
797           || exit 0; \
798         echo " $(MKDIR_P) '$(DESTDIR)$(man3dir)'"; \
799         $(MKDIR_P) "$(DESTDIR)$(man3dir)" || exit 1; \
800         { for i in $$list1; do echo "$$i"; done;  \
801         if test -n "$$list2"; then \
802           for i in $$list2; do echo "$$i"; done \
803             | sed -n '/\.3[a-z]*$$/p'; \
804         fi; \
805         } | while read p; do \
806           if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
807           echo "$$d$$p"; echo "$$p"; \
808         done | \
809         sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
810               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
811         sed 'N;N;s,\n, ,g' | { \
812         list=; while read file base inst; do \
813           if test "$$base" = "$$inst"; then list="$$list $$file"; else \
814             echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man3dir)/$$inst'"; \
815             $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man3dir)/$$inst" || exit $$?; \
816           fi; \
817         done; \
818         for i in $$list; do echo "$$i"; done | $(am__base_list) | \
819         while read files; do \
820           test -z "$$files" || { \
821             echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man3dir)'"; \
822             $(INSTALL_DATA) $$files "$(DESTDIR)$(man3dir)" || exit $$?; }; \
823         done; }
824
825 uninstall-man3:
826         @$(NORMAL_UNINSTALL)
827         @list='$(man3_MANS)'; test -n "$(man3dir)" || exit 0; \
828         files=`{ for i in $$list; do echo "$$i"; done; \
829         } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
830               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
831         dir='$(DESTDIR)$(man3dir)'; $(am__uninstall_files_from_dir)
832 install-nobase_dist_perllibDATA: $(nobase_dist_perllib_DATA)
833         @$(NORMAL_INSTALL)
834         @list='$(nobase_dist_perllib_DATA)'; test -n "$(perllibdir)" || list=; \
835         if test -n "$$list"; then \
836           echo " $(MKDIR_P) '$(DESTDIR)$(perllibdir)'"; \
837           $(MKDIR_P) "$(DESTDIR)$(perllibdir)" || exit 1; \
838         fi; \
839         $(am__nobase_list) | while read dir files; do \
840           xfiles=; for file in $$files; do \
841             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
842             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
843           test -z "$$xfiles" || { \
844             test "x$$dir" = x. || { \
845               echo " $(MKDIR_P) '$(DESTDIR)$(perllibdir)/$$dir'"; \
846               $(MKDIR_P) "$(DESTDIR)$(perllibdir)/$$dir"; }; \
847             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(perllibdir)/$$dir'"; \
848             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(perllibdir)/$$dir" || exit $$?; }; \
849         done
850
851 uninstall-nobase_dist_perllibDATA:
852         @$(NORMAL_UNINSTALL)
853         @list='$(nobase_dist_perllib_DATA)'; test -n "$(perllibdir)" || list=; \
854         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
855         dir='$(DESTDIR)$(perllibdir)'; $(am__uninstall_files_from_dir)
856
857 # This directory's subdirectories are mostly independent; you can cd
858 # into them and run 'make' without going through this Makefile.
859 # To change the values of 'make' variables: instead of editing Makefiles,
860 # (1) if the variable is set in 'config.status', edit 'config.status'
861 #     (which will cause the Makefiles to be regenerated when you run 'make');
862 # (2) otherwise, pass the desired values on the 'make' command line.
863 $(am__recursive_targets):
864         @fail=; \
865         if $(am__make_keepgoing); then \
866           failcom='fail=yes'; \
867         else \
868           failcom='exit 1'; \
869         fi; \
870         dot_seen=no; \
871         target=`echo $@ | sed s/-recursive//`; \
872         case "$@" in \
873           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
874           *) list='$(SUBDIRS)' ;; \
875         esac; \
876         for subdir in $$list; do \
877           echo "Making $$target in $$subdir"; \
878           if test "$$subdir" = "."; then \
879             dot_seen=yes; \
880             local_target="$$target-am"; \
881           else \
882             local_target="$$target"; \
883           fi; \
884           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
885           || eval $$failcom; \
886         done; \
887         if test "$$dot_seen" = "no"; then \
888           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
889         fi; test -z "$$fail"
890
891 ID: $(am__tagged_files)
892         $(am__define_uniq_tagged_files); mkid -fID $$unique
893 tags: tags-recursive
894 TAGS: tags
895
896 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
897         set x; \
898         here=`pwd`; \
899         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
900           include_option=--etags-include; \
901           empty_fix=.; \
902         else \
903           include_option=--include; \
904           empty_fix=; \
905         fi; \
906         list='$(SUBDIRS)'; for subdir in $$list; do \
907           if test "$$subdir" = .; then :; else \
908             test ! -f $$subdir/TAGS || \
909               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
910           fi; \
911         done; \
912         $(am__define_uniq_tagged_files); \
913         shift; \
914         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
915           test -n "$$unique" || unique=$$empty_fix; \
916           if test $$# -gt 0; then \
917             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
918               "$$@" $$unique; \
919           else \
920             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
921               $$unique; \
922           fi; \
923         fi
924 ctags: ctags-recursive
925
926 CTAGS: ctags
927 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
928         $(am__define_uniq_tagged_files); \
929         test -z "$(CTAGS_ARGS)$$unique" \
930           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
931              $$unique
932
933 GTAGS:
934         here=`$(am__cd) $(top_builddir) && pwd` \
935           && $(am__cd) $(top_srcdir) \
936           && gtags -i $(GTAGS_ARGS) "$$here"
937 cscopelist: cscopelist-recursive
938
939 cscopelist-am: $(am__tagged_files)
940         list='$(am__tagged_files)'; \
941         case "$(srcdir)" in \
942           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
943           *) sdir=$(subdir)/$(srcdir) ;; \
944         esac; \
945         for i in $$list; do \
946           if test -f "$$i"; then \
947             echo "$(subdir)/$$i"; \
948           else \
949             echo "$$sdir/$$i"; \
950           fi; \
951         done >> $(top_builddir)/cscope.files
952
953 distclean-tags:
954         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
955
956 distdir: $(DISTFILES)
957         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
958         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
959         list='$(DISTFILES)'; \
960           dist_files=`for file in $$list; do echo $$file; done | \
961           sed -e "s|^$$srcdirstrip/||;t" \
962               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
963         case $$dist_files in \
964           */*) $(MKDIR_P) `echo "$$dist_files" | \
965                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
966                            sort -u` ;; \
967         esac; \
968         for file in $$dist_files; do \
969           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
970           if test -d $$d/$$file; then \
971             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
972             if test -d "$(distdir)/$$file"; then \
973               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
974             fi; \
975             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
976               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
977               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
978             fi; \
979             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
980           else \
981             test -f "$(distdir)/$$file" \
982             || cp -p $$d/$$file "$(distdir)/$$file" \
983             || exit 1; \
984           fi; \
985         done
986         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
987           if test "$$subdir" = .; then :; else \
988             $(am__make_dryrun) \
989               || test -d "$(distdir)/$$subdir" \
990               || $(MKDIR_P) "$(distdir)/$$subdir" \
991               || exit 1; \
992             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
993             $(am__relativize); \
994             new_distdir=$$reldir; \
995             dir1=$$subdir; dir2="$(top_distdir)"; \
996             $(am__relativize); \
997             new_top_distdir=$$reldir; \
998             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
999             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1000             ($(am__cd) $$subdir && \
1001               $(MAKE) $(AM_MAKEFLAGS) \
1002                 top_distdir="$$new_top_distdir" \
1003                 distdir="$$new_distdir" \
1004                 am__remove_distdir=: \
1005                 am__skip_length_check=: \
1006                 am__skip_mode_fix=: \
1007                 distdir) \
1008               || exit 1; \
1009           fi; \
1010         done
1011 check-am: all-am
1012         $(MAKE) $(AM_MAKEFLAGS) check-local
1013 check: check-recursive
1014 all-am: Makefile $(SCRIPTS) $(MANS) $(DATA)
1015 installdirs: installdirs-recursive
1016 installdirs-am:
1017         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(perllibdir)"; do \
1018           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1019         done
1020 install: install-recursive
1021 install-exec: install-exec-recursive
1022 install-data: install-data-recursive
1023 uninstall: uninstall-recursive
1024
1025 install-am: all-am
1026         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1027
1028 installcheck: installcheck-recursive
1029 install-strip:
1030         if test -z '$(STRIP)'; then \
1031           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1032             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1033               install; \
1034         else \
1035           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1036             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1037             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1038         fi
1039 mostlyclean-generic:
1040
1041 clean-generic:
1042         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1043
1044 distclean-generic:
1045         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1046         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1047
1048 maintainer-clean-generic:
1049         @echo "This command is intended for maintainers to use"
1050         @echo "it deletes files that may require special tools to rebuild."
1051 clean: clean-recursive
1052
1053 clean-am: clean-generic clean-libtool clean-local mostlyclean-am
1054
1055 distclean: distclean-recursive
1056         -rm -f Makefile
1057 distclean-am: clean-am distclean-generic distclean-tags
1058
1059 dvi: dvi-recursive
1060
1061 dvi-am:
1062
1063 html: html-recursive
1064
1065 html-am:
1066
1067 info: info-recursive
1068
1069 info-am:
1070
1071 install-data-am: install-data-local install-man \
1072         install-nobase_dist_perllibDATA
1073         @$(NORMAL_INSTALL)
1074         $(MAKE) $(AM_MAKEFLAGS) install-data-hook
1075 install-dvi: install-dvi-recursive
1076
1077 install-dvi-am:
1078
1079 install-exec-am: install-binSCRIPTS
1080
1081 install-html: install-html-recursive
1082
1083 install-html-am:
1084
1085 install-info: install-info-recursive
1086
1087 install-info-am:
1088
1089 install-man: install-man3
1090
1091 install-pdf: install-pdf-recursive
1092
1093 install-pdf-am:
1094
1095 install-ps: install-ps-recursive
1096
1097 install-ps-am:
1098
1099 installcheck-am:
1100
1101 maintainer-clean: maintainer-clean-recursive
1102         -rm -f Makefile
1103 maintainer-clean-am: distclean-am maintainer-clean-generic
1104
1105 mostlyclean: mostlyclean-recursive
1106
1107 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
1108
1109 pdf: pdf-recursive
1110
1111 pdf-am:
1112
1113 ps: ps-recursive
1114
1115 ps-am:
1116
1117 uninstall-am: uninstall-binSCRIPTS uninstall-local uninstall-man \
1118         uninstall-nobase_dist_perllibDATA
1119
1120 uninstall-man: uninstall-man3
1121
1122 .MAKE: $(am__recursive_targets) check-am install-am install-data-am \
1123         install-strip
1124
1125 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1126         check-am check-local clean clean-generic clean-libtool \
1127         clean-local cscopelist-am ctags ctags-am distclean \
1128         distclean-generic distclean-libtool distclean-tags distdir dvi \
1129         dvi-am html html-am info info-am install install-am \
1130         install-binSCRIPTS install-data install-data-am \
1131         install-data-hook install-data-local install-dvi \
1132         install-dvi-am install-exec install-exec-am install-html \
1133         install-html-am install-info install-info-am install-man \
1134         install-man3 install-nobase_dist_perllibDATA install-pdf \
1135         install-pdf-am install-ps install-ps-am install-strip \
1136         installcheck installcheck-am installdirs installdirs-am \
1137         maintainer-clean maintainer-clean-generic mostlyclean \
1138         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1139         tags tags-am uninstall uninstall-am uninstall-binSCRIPTS \
1140         uninstall-local uninstall-man uninstall-man3 \
1141         uninstall-nobase_dist_perllibDATA
1142
1143 .PRECIOUS: Makefile
1144
1145
1146 .pl: Makefile
1147         @test -d `dirname $@` || $(MKDIR_P) `dirname $@`
1148         $(do_perl_subst) <$< >$@
1149         $(AM_V_at) chmod +x $@
1150
1151 .sh: Makefile
1152         @test -d `dirname $@` || $(MKDIR_P) `dirname $@`
1153         $(do_shell_subst) <$< >$@
1154         $(AM_V_at) chmod +x $@
1155
1156 install-data-local:
1157 # Install manual pages for perl modules manually as make can't deal
1158 # properly with filenames containing colons
1159 # Remove empty manual pages (perl modules not documented)
1160 @BUILD_POD_DOC_TRUE@    $(MKDIR_P) $(DESTDIR)$(man3dir)
1161 @BUILD_POD_DOC_TRUE@    for module in $(nobase_dist_perllib_DATA); do \
1162 @BUILD_POD_DOC_TRUE@      name=`echo $$module | sed -e 's|/|::|g' -e 's/\.pm$$//'`; \
1163 @BUILD_POD_DOC_TRUE@      $(POD2MAN) --utf8 --center=libdpkg-perl --release=$(VERSION) \
1164 @BUILD_POD_DOC_TRUE@        --name="$$name" --section=3 $(srcdir)/$$module \
1165 @BUILD_POD_DOC_TRUE@        >$(DESTDIR)$(man3dir)/$$name.3; \
1166 @BUILD_POD_DOC_TRUE@      test -s $(DESTDIR)$(man3dir)/$$name.3 || \
1167 @BUILD_POD_DOC_TRUE@      rm -f $(DESTDIR)$(man3dir)/$$name.3; \
1168 @BUILD_POD_DOC_TRUE@    done
1169
1170 # Ideally we'd use 'sed -i', but unfortunately that's not portable.
1171 install-data-hook:
1172         mv $(DESTDIR)$(perllibdir)/Dpkg.pm \
1173            $(DESTDIR)$(perllibdir)/Dpkg.pm.tmp
1174         $(do_perl_subst) <$(DESTDIR)$(perllibdir)/Dpkg.pm.tmp \
1175                          >$(DESTDIR)$(perllibdir)/Dpkg.pm
1176         rm -f $(DESTDIR)$(perllibdir)/Dpkg.pm.tmp
1177
1178 uninstall-local:
1179 @BUILD_POD_DOC_TRUE@    for module in $(nobase_dist_perllib_DATA); do \
1180 @BUILD_POD_DOC_TRUE@      rm -f $(DESTDIR)$(man3dir)/`echo $$module | sed -e 's|/|::|g' -e 's/\.pm$$/.3/'`; \
1181 @BUILD_POD_DOC_TRUE@    done
1182
1183 coverage: check
1184         $(PERL_COVER) -silent \
1185           -ignore_re '^t/.*\.t' \
1186           -outputdir $(top_builddir)/doc/coverage/scripts
1187         : # Cleanup coverage report index
1188         $(PERL) -i -p -e "s:$(abs_top_builddir)::" \
1189           $(top_builddir)/doc/coverage/scripts/coverage.html
1190
1191 coverage-clean:
1192         rm -rf cover_db
1193
1194 $(srcdir)/t/Dpkg_Shlibs/libobjdump.basictags-amd64.so: $(srcdir)/t/Dpkg_Shlibs/basictags.c
1195         $(CC) $(CFLAGS) -shared -fPIC -Wl,-soname -Wl,libbasictags.so.1 $< \
1196           -DAMD64 -o $@
1197
1198 $(srcdir)/t/Dpkg_Shlibs/libobjdump.basictags-mips.so: $(srcdir)/t/Dpkg_Shlibs/basictags.c
1199         $(CC) $(CFLAGS) -shared -fPIC -Wl,-soname -Wl,libbasictags.so.1 $< \
1200           -DMIPS -o $@
1201
1202 $(srcdir)/t/Dpkg_Shlibs/libobjdump.basictags-i386.so: $(srcdir)/t/Dpkg_Shlibs/basictags.c
1203         $(CC) $(CFLAGS) -shared -fPIC -Wl,-soname -Wl,libbasictags.so.1 $< \
1204           -DI386 -o $@
1205
1206 $(srcdir)/t/Dpkg_Shlibs/libobjdump.patterns.so: $(srcdir)/t/Dpkg_Shlibs/patterns.cpp $(srcdir)/t/Dpkg_Shlibs/patterns.map
1207         $(CXX) $(CXXFLAGS) -shared -fPIC -Wl,-soname -Wl,libpatterns.so.1 \
1208           -Wl,--version-script=$(srcdir)/t/Dpkg_Shlibs/patterns.map $< -o $@
1209
1210 $(srcdir)/t/Dpkg_Shlibs/spacesyms.c: $(srcdir)/t/Dpkg_Shlibs/spacesyms-c-gen.pl
1211         $(srcdir)/t/Dpkg_Shlibs/spacesyms-c-gen.pl > $@
1212
1213 $(srcdir)/t/Dpkg_Shlibs/spacesyms.o: $(srcdir)/t/Dpkg_Shlibs/spacesyms.c $(srcdir)/t/Dpkg_Shlibs/spacesyms-o-map.pl
1214         $(CC) $(CFLAGS) -c -fPIC -o $@.tmp $<
1215         $(srcdir)/t/Dpkg_Shlibs/spacesyms-o-map.pl $@.tmp $@
1216         rm -f $@.tmp
1217
1218 $(srcdir)/t/Dpkg_Shlibs/libobjdump.spacesyms.so: $(srcdir)/t/Dpkg_Shlibs/spacesyms.o $(srcdir)/t/Dpkg_Shlibs/spacesyms.map
1219         $(CC) -shared -Wl,-soname -Wl,libspacesyms.so.1 \
1220           -Wl,--version-script=$(srcdir)/t/Dpkg_Shlibs/spacesyms.map $< -o $@
1221
1222 .PHONY: refresh-test-data
1223
1224 refresh-test-data: $(test_data_objects)
1225         $(OBJDUMP) $(srcdir)/t/Dpkg_Shlibs/libobjdump.basictags-amd64.so \
1226           >$(srcdir)/t/Dpkg_Shlibs/objdump.basictags-amd64
1227         $(OBJDUMP) $(srcdir)/t/Dpkg_Shlibs/libobjdump.basictags-i386.so \
1228           >$(srcdir)/t/Dpkg_Shlibs/objdump.basictags-i386
1229         $(OBJDUMP) $(srcdir)/t/Dpkg_Shlibs/libobjdump.basictags-mips.so \
1230           >$(srcdir)/t/Dpkg_Shlibs/objdump.basictags-mips
1231         $(OBJDUMP) $(srcdir)/t/Dpkg_Shlibs/libobjdump.patterns.so \
1232           >$(srcdir)/t/Dpkg_Shlibs/objdump.patterns
1233         $(OBJDUMP) $(srcdir)/t/Dpkg_Shlibs/libobjdump.spacesyms.so \
1234           >$(srcdir)/t/Dpkg_Shlibs/objdump.spacesyms
1235         $(OBJDUMP) `which ls` >$(srcdir)/t/Dpkg_Shlibs/objdump.ls
1236
1237 TEST_VERBOSE ?= 0
1238 TEST_PARALLEL ?= 1
1239
1240 check-clean:
1241         [ -z "$(test_tmpdir)" ] || rm -fr $(test_tmpdir)
1242
1243 check-local: $(test_data) $(test_programs) $(test_scripts)
1244         [ -z "$(test_tmpdir)" ] || $(MKDIR_P) $(test_tmpdir)
1245         PATH="$(abs_top_builddir)/src:$(abs_top_builddir)/scripts:$(abs_top_builddir)/utils:$(PATH)" \
1246           LC_ALL=C \
1247           DPKG_COLORS=never \
1248           $(TEST_ENV_VARS) \
1249           srcdir=$(srcdir) builddir=$(builddir) \
1250           CC=$(CC) \
1251           PERL=$(PERL) \
1252           PERL_DL_NONLAZY=1 \
1253           PERL5LIB=$(abs_top_srcdir)/scripts:$(abs_top_srcdir)/dselect/methods \
1254           PERL5OPT=$(TEST_COVERAGE) \
1255           $(PERL) -MTAP::Harness -e $(TEST_RUNNER) \
1256             $(addprefix $(builddir)/,$(test_programs)) \
1257             $(addprefix $(srcdir)/,$(test_scripts))
1258
1259 clean-local: check-clean coverage-clean
1260         rm -fr man
1261
1262 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1263 # Otherwise a system limit (for SysV at least) may be exceeded.
1264 .NOEXPORT: